---------------------
PatchSet 4167 
Date: 2002/05/25 16:25:14
Author: serassio
Branch: coss
Tag: (none) 
Log:
Commit of cosmetic changes

Members: 
	snmplib/mib.c:1.3.22.2->1.3.22.3 
	src/main.c:1.27.2.2->1.27.2.3 
	src/fs/coss/async_io.h:1.2.32.1->1.2.32.2 
	src/fs/coss/store_coss.h:1.4.12.2->1.4.12.3 
	src/fs/coss/store_io_coss.c:1.8.12.4->1.8.12.5 

Index: squid/snmplib/mib.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/mib.c,v
retrieving revision 1.3.22.2
retrieving revision 1.3.22.3
diff -u -r1.3.22.2 -r1.3.22.3
--- squid/snmplib/mib.c	21 May 2002 09:10:37 -0000	1.3.22.2
+++ squid/snmplib/mib.c	25 May 2002 16:25:14 -0000	1.3.22.3
@@ -82,6 +82,7 @@
 
 #include "util.h"
 #include "snprintf.h"
+
 static struct snmp_mib_tree *get_symbol(oid *objid, int objidlen, struct snmp_mib_tree *subtree, char *buf);
 
 oid RFC1066_MIB[] =
Index: squid/src/main.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/main.c,v
retrieving revision 1.27.2.2
retrieving revision 1.27.2.3
diff -u -r1.27.2.2 -r1.27.2.3
--- squid/src/main.c	21 May 2002 09:10:44 -0000	1.27.2.2
+++ squid/src/main.c	25 May 2002 16:25:14 -0000	1.27.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.c,v 1.27.2.2 2002/05/21 09:10:44 serassio Exp $
+ * $Id: main.c,v 1.27.2.3 2002/05/25 16:25:14 serassio Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -960,8 +960,8 @@
     fwdUninit();
 #endif
     storeDirSync();		/* Flush log close */
-#if PURIFY || XMALLOC_TRACE
     storeFsDone();
+#if PURIFY || XMALLOC_TRACE
     configFreeMemory();
     storeFreeMemory();
     /*stmemFreeMemory(); */
Index: squid/src/fs/coss/async_io.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/coss/async_io.h,v
retrieving revision 1.2.32.1
retrieving revision 1.2.32.2
diff -u -r1.2.32.1 -r1.2.32.2
--- squid/src/fs/coss/async_io.h	16 Oct 2001 11:39:15 -0000	1.2.32.1
+++ squid/src/fs/coss/async_io.h	25 May 2002 16:25:16 -0000	1.2.32.2
@@ -47,10 +47,8 @@
 
 
 /* Functions */
-extern void a_file_read(async_queue_t * q, int fd, void *buf, size_t req_len,
-    off_t offset, DRCB * callback, void *data);
-extern void a_file_write(async_queue_t * q, int fd, off_t offset, void *buf,
-    size_t len, DWCB * callback, void *data, FREE * freefunc);
+extern void a_file_read(async_queue_t *, int, void *, size_t, off_t, DRCB *, void *);
+extern void a_file_write(async_queue_t *, int, off_t, void *, size_t, DWCB *, void *, FREE *);
 extern int a_file_callback(async_queue_t * q);
 extern void a_file_setupqueue(async_queue_t * q);
 extern void a_file_syncqueue(async_queue_t * q);
Index: squid/src/fs/coss/store_coss.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/coss/store_coss.h,v
retrieving revision 1.4.12.2
retrieving revision 1.4.12.3
diff -u -r1.4.12.2 -r1.4.12.3
--- squid/src/fs/coss/store_coss.h	21 May 2002 10:18:02 -0000	1.4.12.2
+++ squid/src/fs/coss/store_coss.h	25 May 2002 16:25:16 -0000	1.4.12.3
@@ -23,7 +23,7 @@
 #define SWAPDIR_COSS "coss"
 
 typedef int64_t		off64_t;
-typedef	int64_t		size64_t;
+typedef int64_t		size64_t;
 
 struct _cossmembuf {
     dlink_node node;
Index: squid/src/fs/coss/store_io_coss.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/coss/store_io_coss.c,v
retrieving revision 1.8.12.4
retrieving revision 1.8.12.5
diff -u -r1.8.12.4 -r1.8.12.5
--- squid/src/fs/coss/store_io_coss.c	21 May 2002 09:10:52 -0000	1.8.12.4
+++ squid/src/fs/coss/store_io_coss.c	25 May 2002 16:25:17 -0000	1.8.12.5
@@ -46,6 +46,7 @@
 static void storeCossMemBufLock(SwapDir * SD, storeIOState * e);
 static void storeCossMemBufUnlock(SwapDir * SD, storeIOState * e);
 static void storeCossWriteMemBuf(SwapDir * SD, CossMemBuf * t);
+static void storeCossWriteMemBufDone(int fd, int errflag, size_t len, void *my_data);
 static CossMemBuf *storeCossCreateMemBuf(SwapDir * SD, size64_t start,
     sfileno curfn, int *collision);
 static CBDUNL storeCossIOFreeEntry;
@@ -107,7 +108,7 @@
 	cs->current_offset = 0;	/* wrap back to beginning */
 	debug(81, 2) ("storeCossAllocate: wrap to 0\n");
 
-	newmb = storeCossCreateMemBuf(SD, (size64_t)0, checkf, &coll);
+	newmb = storeCossCreateMemBuf(SD, (size64_t) 0, checkf, &coll);
 	cs->current_membuf = newmb;
 
 	/* Check if we have overflowed the MemBuf */
@@ -312,7 +313,7 @@
 	storeCossReadDone(cs->fd,
 	    cstate->readbuffer,
 	    sio->st_size,
-	    (size64_t)0,
+	    (size64_t) 0,
 	    sio);
     }
 }
@@ -510,8 +511,7 @@
     CossMemBuf *t = my_data;
     CossInfo *cs = (CossInfo *) t->SD->fsdata;
 
-    debug(81, 3) ("storeCossWriteMemBufDone: fd %d, buf %08X, len %ld\n", fd, t, (long int) len);
-//    debug(81, 3) ("storeCossWriteMemBufDone: buf %p, len %ld\n", t, (long int) len);
+    debug(81, 3) ("storeCossWriteMemBufDone: fd %d, buf %p, len %ld\n", fd, t, (long int) len);
     if (errflag)
 	debug(81, 0) ("storeCossMemBufWriteDone: got failure (%d)\n", errflag);
 
